## nut 2.7.4

=== scripts/Windows/Makefile ===
halt:	halt.c
	gcc -mwindows -mno-cygwin -s -o halt.exe halt.c

=== debian/changelog ===
nut (2.7.4-5.1ubuntu2) bionic; urgency=medium

  * Drop change which is no more needed, thereby fixes systemd integration
    and the availability of /lib/systemd/system-shutdown/nutshutdown
    (LP: #1603609)
    - Disable systemd unit; it does not check nut.conf whether nut is
      configured, and thus fails to start (and the package install).  The
      init.d script works well enough for the time being.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 15 Nov 2017 16:47:10 +0100

nut (2.7.4-5.1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - remove Build-Depends on libpowerman0-dev
    - remove nut-powerman-pdu
      + debian/nut-powerman-pdu.{install,manpages}: dropped for now
    - debian/nut-{cgi,server}.postinst: fix 'adduser' logic to be
      unconditional, since adduser is guaranteed to be idempotent.
    - debian/source_nut.py, debian/{nut,nut-server,nut-client}.install,
      debian/rules: Install apport hooks for all top-level nut packages.
    - Disable systemd unit; it does not check nut.conf whether nut is
      configured, and thus fails to start (and the package install).  The
      init.d script works well enough for the time being.
    - debian/tests/test-nut.py: in the CVE_2012_2944 test, give nut at most
      + 5 seconds to shut down, instead of expecting it to be shut down
        immediately after sending the killall.
      + Additional indication on how to run tests for xenial+
    - debian/tests/control : Fix dep8 test failures:
       + Drop python-unit from dep8 dependencies since the python-test
         package has now been removed. The unittest module has shipped with
         Python since 2.1.
       + Add dep8 test dependency on python, since Python 2 is required and
         is not necessarily installed by default any more.
    - debian/libnutclient0.symbols: Correct symbols file for ppc64el.
    - fix cflags/ldflags mismatch (LP #1711092)
  * Drop:
    - udevd is called systemd-udevd (LP #1540008)
      [ Fixed in Debian 2.7.4-5.1 ]
    - d/libnutclient0.symbols: fix symbols in regard to gcc-7
      (LP #1711091)
      [ Fixed in Debian 2.7.4-5.1 ]

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 03 Nov 2017 16:34:18 -0700

nut (2.7.4-5.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Laurent Bigonville ]
  * debian/nut-server.postinst: The udevd process is called systemd-udevd for
    quite sometimes already, properly detect whether it's running or not, this
    should fix the devices permissions for USB UPS's (LP: #1540008)
  * debian/rules: Mask ups-monitor, this is not a real LSB initscript but it's
    a symlink to the nut-client one. The purpose of this was to offer a common
    interface to shutdown the UPS in case of power loss, this is not necessary
    with systemd as this functionality is handeled by the
    /lib/systemd/system-shutdown/nutshutdown script now.

  [ Michael Stapelberg ]
  * Update symbols file for gcc-7 (Closes: #853579)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 23 Aug 2017 22:24:57 +0200

nut (2.7.4-5ubuntu4) artful; urgency=medium

  * d/p/fix-snmp-driver-compile-options.patch: fix cflags/ldflags
    mismatch (LP: #1711092).
  * d/libnutclient0.symbols: fix symbols in regard to gcc-7 (LP: #1711091).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 16 Aug 2017 12:44:26 +0200

nut (2.7.4-5ubuntu3) artful; urgency=medium

  * debian/nut-server.postinst: The udevd process is called systemd-udevd
    for quite sometimes already, properly detect whether it's running or not,
    this should fix the devices permissions for USB UPS's (LP: #1540008).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 09 Aug 2017 10:16:38 +0200

nut (2.7.4-5ubuntu2) zesty; urgency=medium

  * debian/libnutclient0.symbols: Correct symbols file for ppc64el.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Feb 2017 05:38:03 -0700

nut (2.7.4-5ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes (LP: #1643618)
    - debian/control:
      + remove Build-Depends on libpowerman0-dev
      + remove nut-powerman-pdu
    - debian/nut-powerman-pdu.{install,manpages}: dropped for now
    - debian/nut-{cgi,server}.postinst: fix 'adduser' logic to be
      unconditional, since adduser is guaranteed to be idempotent.
    - debian/source_nut.py, debian/{nut,nut-server,nut-client}.install,
      debian/rules: Install apport hooks for all top-level nut packages.
    - Disable systemd unit; it does not check nut.conf whether nut is
      configured, and thus fails to start (and the package install).  The
      init.d script works well enough for the time being.
    - debian/tests/test-nut.py:
      + In the CVE_2012_2944 test, give nut at most 5 seconds to shut down,
        instead of expecting it to be shut down immediately after sending the
        killall.
      + Additional indication on how to run tests for oneiric, precise to
        vivid and wily+
    - debian/tests/control : Fix dep8 test failures:
      + Drop python-unit from dep8 dependencies since the python-test
        package has now been removed. The unittest module has shipped with
        Python since 2.1.
      + Add dep8 test dependency on python, since Python 2 is required and
        is not necessarily installed by default any more.
  * Dropped changes:
    - Patch libtool.m4 and configure to support ppc64le. (Fixed upstream)
    - Remove unnecessary chmod 755 on files introduced by previous merge,
      assumed to be an error
    - debian/patches/0006-ups-conf-maxretry.patch: documentation tweaks
      (unnecessary Ubuntu delta). This was formerly listed as "Move maxretry
      setting above Examples section" but no longer did this at all.
  * Replace outdated indictions on how to run tests (Oneric, Precise, Vivid,
    Wily+) with proper indications for current version (Xenial+)



=== debian/control ===
Source: nut
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Arnaud Quette <aquette@debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>
Build-Depends: autotools-dev,
               cdbs (>= 0.4.122~),
               debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               dh-systemd (>= 1.14),
               libfreeipmi-dev (>= 0.8.5) [!hurd-i386],
               libgd-dev | libgd2-xpm-dev | libgd2-noxpm-dev,
               libipmimonitoring-dev (>= 1.1.5-2) [!hurd-i386],
               libneon27-gnutls-dev | libneon27-dev,
               libnss3-dev,
               libsnmp-dev | libsnmp9-dev,
               libusb-dev (>= 0.1.8),
               libwrap0-dev (>= 7.6),
               python (>= 2.6.6-3~),
               systemd [linux-any]
Build-Depends-Indep: asciidoc (>= 8.6.3),
                     asciidoc-dblatex,
                     dblatex (>= 0.2.5),
                     docbook-xsl,
                     libxml2-utils
Standards-Version: 3.9.8
Homepage: http://www.networkupstools.org/
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/nut.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/collab-maint/nut.git
X-Python-Version: >= 2.5
XS-Testsuite: autopkgtest

Package: nut
Architecture: all
Section: metapackages
Depends: nut-client, nut-server, ${misc:Depends}
Description: network UPS tools - metapackage
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package is a metapackage that installs both nut-server and nut-client,
 in most cases it is sufficient for a basic UPS monitoring system.

Package: nut-server
Architecture: any
Depends: adduser,
         lsb-base (>= 3.0-6),
         nut-client (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${udev}
Suggests: nut-cgi, nut-ipmi, nut-snmp, nut-xml
Conflicts: nut-hal-drivers
Replaces: nut (<< 2.6.1-2~)
Breaks: nut (<< 2.6.1-2~)
Description: network UPS tools - core system
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides NUT's core system, and the serial and USB UPS
 drivers.

Package: nut-client
Architecture: any
Depends: adduser, lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
Provides: ups-monitor
Conflicts: ups-monitor
Recommends: bash-completion
Suggests: nut-monitor
Replaces: nut (<< 2.6.1-2~), nut-server (<< 2.6.3-1~), ups-monitor
Breaks: nut (<< 2.6.1-2~), nut-server (<< 2.6.3-1~)
Description: network UPS tools - clients
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides NUT's clients that allows the user to control
 and monitor the UPS.

Package: nut-cgi
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Recommends: apache2 | httpd-cgi
Suggests: nut
Description: network UPS tools - web interface
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides an HTTP interface for Network UPS Tools which makes
 it possible to monitor the core NUT system with a web browser.

Package: nut-snmp
Architecture: any
Depends: nut (>= 1.4.1-pre1), ${misc:Depends}, ${shlibs:Depends}
Description: network UPS tools - SNMP driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides snmp-ups, the SNMP multi-MIB driver for UPS, which
 supports various MIBs including IETF, MGE, and APC. It adds an SNMP
 Manager interface to the core NUT system.

Package: nut-ipmi
Architecture: kfreebsd-any linux-any
Depends: nut (>= 1.4.1-pre1), ${misc:Depends}, ${shlibs:Depends}
Description: network UPS tools - IPMI driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package currently provides nut-ipmipsu, a driver which allows the user to
 monitor IPMI power supply units (PSU) found in servers of popular brands, such
 as Dell, HP, IBM. It adds an IPMI interface to the core NUT system.

Package: nut-xml
Architecture: any
Depends: nut (>= 2.2.2), ${misc:Depends}, ${shlibs:Depends}
Description: network UPS tools - XML/HTTP driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides netxml-ups, which supports UPS models from
 Eaton or MGE that use an XML/HTTP-based Network Management Card or
 Proxy.

Package: nut-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: doc-base
Description: network UPS tools - documentation
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package contains FAQ, user, developer and packager documentation.

Package: libupsclient4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: network UPS tools - client library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the shared client library.

Package: libupsclient-dev
Section: libdevel
Architecture: any
Depends: libupsclient4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libupsclient1-dev
Replaces: libupsclient1-dev
Description: network UPS tools - development files
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the development files.

Package: libnutclient0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: network UPS tools - new client library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the new shared client library.

Package: libnutclient-dev
Section: libdevel
Architecture: any
Depends: libnutclient0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: network UPS tools - development files
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the development files for the new client library.

Package: python-nut
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: network UPS tools - Python bindings for NUT server
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides Python bindings to connect to NUT server.

Package: nut-monitor
Architecture: all
Depends: python-glade2,
         python-gobject,
         python-gtk2,
         python-nut,
         ${misc:Depends},
         ${python:Depends}
Description: network UPS tools - GUI application to monitor UPS status
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides nut-monitor, a GUI application to monitor UPS status.

Package: libups-nut-perl
Section: perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: network UPS tools - Perl bindings for NUT server
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides Perl bindings to connect to NUT server.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/python-module.mk

include /usr/share/cdbs/1/rules/autoreconf.mk
# We cannot call autoreconf -f -i as it updates INSTALL which is used for doc
# generation
DEB_DH_AUTORECONF_ARGS = --as-needed

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# List any files which are not installed
include /usr/share/cdbs/1/rules/utils.mk
common-binary-post-install-arch:: list-missing

DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

DEB_CONFIGURE_PREFIX      :=
DEB_CONFIGURE_SYSCONFDIR  := /etc/nut
DEB_CONFIGURE_INCLUDEDIR  := /usr/include
DEB_CONFIGURE_MANDIR      := /usr/share/man
DEB_CONFIGURE_EXTRA_FLAGS := --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	                     --with-ssl --with-nss \
	                     --with-cgi \
	                     --with-dev \
	                     --enable-static \
	                     --with-statepath=/var/run/nut \
	                     --with-altpidpath=/var/run/nut \
	                     --with-drvpath=/lib/nut \
	                     --with-cgipath=/usr/lib/cgi-bin/nut \
	                     --with-htmlpath=/usr/share/nut/www \
	                     --with-pidpath=/var/run/nut \
	                     --datadir=/usr/share/nut \
	                     --with-pkgconfig-dir=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
	                     --with-user=nut --with-group=nut

ifeq (linux,$(DEB_HOST_ARCH_OS))
  DEB_CONFIGURE_EXTRA_FLAGS+=--with-udev-dir=/lib/udev --with-systemdsystemunitdir=/lib/systemd/system
endif

# only build documentation if asciidoc is installed
ifneq ($(shell which asciidoc),)
  DEB_CONFIGURE_EXTRA_FLAGS+=--with-doc=html-chunked,pdf
endif

common-install-arch::
	# install the bash completion script
	mkdir -p $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/
	cp $(CURDIR)/scripts/misc/nut.bash_completion \
		$(CURDIR)/debian/tmp/usr/share/bash-completion/completions/nut

	# install the avahi service file
	mkdir -p $(CURDIR)/debian/tmp/etc/avahi/services
	cp $(CURDIR)/scripts/avahi/nut.service \
		$(CURDIR)/debian/tmp/etc/avahi/services

	# install Augeas lenses
	mkdir -p $(CURDIR)/debian/tmp/usr/share/augeas/lenses/dist/tests
	cp $(CURDIR)/scripts/augeas/*.aug \
		$(CURDIR)/debian/tmp/usr/share/augeas/lenses/dist/
	cp $(CURDIR)/scripts/augeas/tests/test_nut.aug \
		$(CURDIR)/debian/tmp/usr/share/augeas/lenses/dist/tests/

	# install the default configuration
	for f in $(CURDIR)/debian/tmp/etc/nut/*; do           \
		nf=`basename $${f} | sed 's/\(.*\).sample/\1/'`;  \
		mv $${f} $(CURDIR)/debian/tmp/etc/nut/$${nf};  \
	done

	# Move -dev file to /usr
	mv $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libupsclient.a \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libupsclient.a
	rm -f $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libupsclient.so
	ln -s /lib/$(DEB_HOST_MULTIARCH)/libupsclient.so.4 \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libupsclient.so
	mv $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libnutclient.a \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libnutclient.a
	rm -f $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libnutclient.so
	ln -s /lib/$(DEB_HOST_MULTIARCH)/libnutclient.so.0 \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libnutclient.so

	# Move daemons and install wrappers
	mv $(CURDIR)/debian/tmp/sbin/upsmon $(CURDIR)/debian/tmp/lib/nut/upsmon
	mv $(CURDIR)/debian/tmp/sbin/upsd $(CURDIR)/debian/tmp/lib/nut/upsd
	install -m 0755 debian/local/upsmon $(CURDIR)/debian/tmp/sbin/upsmon
	install -m 0755 debian/local/upsd $(CURDIR)/debian/tmp/sbin/upsd

	# Install systemd files only on systems where it's supported
ifeq (linux,$(DEB_HOST_ARCH_OS))
	install -m 644 -D $(CURDIR)/debian/tmp/lib/systemd/system/nut-monitor.service \
		$(CURDIR)/debian/nut-client/lib/systemd/system/nut-monitor.service
	install -D $(CURDIR)/debian/tmp/lib/systemd/system-shutdown/nutshutdown \
		$(CURDIR)/debian/nut-server/lib/systemd/system-shutdown/nutshutdown
	install -m 644 -D $(CURDIR)/debian/tmp/lib/systemd/system/nut-driver.service \
		$(CURDIR)/debian/nut-server/lib/systemd/system/nut-driver.service
	install -m 644 -D $(CURDIR)/debian/tmp/lib/systemd/system/nut-server.service \
		$(CURDIR)/debian/nut-server/lib/systemd/system/nut-server.service

	# Add a symlink to mask the LSB initscript
	ln -s nut-monitor.service $(CURDIR)/debian/nut-client/lib/systemd/system/nut-client.service
	ln -s /dev/null $(CURDIR)/debian/nut-client/lib/systemd/system/ups-monitor.service

	# Install tmpfiles config file to create /run/nut directory
	install -m 644 -D $(CURDIR)/debian/nut-client.tmpfiles \
		$(CURDIR)/debian/nut-client/usr/lib/tmpfiles.d/nut-client.conf
	install -m 644 -D $(CURDIR)/debian/nut-server.tmpfiles \
		$(CURDIR)/debian/nut-server/usr/lib/tmpfiles.d/nut-server.conf
endif

	# install apport hooks
	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut-server.py
	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut-client.py


common-install-indep::
	#install documentation
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/pdf
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/html
	cp $(CURDIR)/docs/*.pdf $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/pdf
	cp $(CURDIR)/docs/FAQ.html $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/html

	for f in $(CURDIR)/docs/*.chunked/; do \
		nf=`basename $${f} | sed 's/\(.*\)\.chunked/\1/'`; \
		cp -a $${f} $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/html/$${nf}/; \
	done

	# install apport hooks
	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut.py


binary-install/nut-monitor::
	dh_python2 -pnut-monitor

DEB_DH_INSTALLINIT_ARGS_nut-server := --init-script=nut-server --restart-after-upgrade --error-handler=handle_start_failure
DEB_DH_INSTALLINIT_ARGS_nut-client := --init-script=nut-client --restart-after-upgrade --error-handler=handle_start_failure
DEB_DH_SYSTEMD_START_ARGS_nut-server := --restart-after-upgrade
DEB_DH_SYSTEMD_START_ARGS_nut-client := --restart-after-upgrade
DEB_DH_COMPRESS_ARGS_nut-doc := -X.pdf

ifeq (linux,$(DEB_HOST_ARCH_OS))
# for Debian
  DEB_DH_GENCONTROL_ARGS := -- -Vudev="udev (>= 0.124-1)"
# for Ubuntu
# DEB_DH_GENCONTROL_ARGS := -- -Vudev="udev (>= 136-1)"
endif

=== debian/tests/control ===
Tests: nut
Depends: nut-server, nut-client, python, lsb-release, netcat
Restrictions: needs-root

=== debian/watch ===
version=3
http://www.networkupstools.org/download.html .*/nut-(.*)\.tar\.(?:gz|bz2|xz)

## nut 2.8.0

=== debian/changelog ===
nut (2.8.0-7~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 04 Aug 2024 18:31:46 -0700

nut (2.8.0-7) unstable; urgency=medium

  * debian/tests/test-nut.py: Skip the flaky tests for now.
    That will hopefully allow us to ship nut for bookworm
    Thanks to Athos Ribeiro <athos.ribeiro@canonical.com> (Closes: #1023530)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 25 Jan 2023 10:27:30 +0100

nut (2.8.0-6) unstable; urgency=medium

  * debian/patches/appdata-launchable.patch: Add launchable tag
  * debian/tests/test-nut.py: Increase sleep after starting drivers.
    The tests are flaky on some architectures, try to wait a bit longer that
    the driver starts. (Closes: #1023530)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 31 Dec 2022 13:34:23 +0100

nut (2.8.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libfreeipmi-dev,
      libipmimonitoring-dev, libpowerman0-dev, libusb-1.0-0-dev and
      libwrap0-dev.
    + Build-Depends-Indep: Drop versioned constraint on asciidoc and dblatex.
    + nut-server: Drop versioned constraint on lsb-base in Depends.
    + nut-client: Drop versioned constraint on lsb-base in Depends.
    + nut-snmp: Drop versioned constraint on nut in Depends.
    + nut-ipmi: Drop versioned constraint on nut in Depends.
    + nut-xml: Drop versioned constraint on nut in Depends.
    + nut-powerman-pdu: Drop versioned constraint on nut and powerman in
      Depends.
    + Remove 1 maintscript entries from 1 files.

  [ Laurent Bigonville ]
  * debian/nut-client.lintian-overrides: Override init-script-is-not-a-file
  * Make sure that the installed manpages are built from the sources
  * debian/control: Make sure the drivers depend against the server version
  * debian/control: Make libups-nut-perl and nut-doc as M-A foreign

 -- Laurent Bigonville <bigon@debian.org>  Wed, 02 Nov 2022 12:32:35 +0100

nut (2.8.0-4) unstable; urgency=medium

  * Add debian/salsa-ci.yml for automated tests in salsa
  * debian/tests/test-nut.py: set SYSTEMCTL_SKIP_REDIRECT to 1.
    The behaviour of the upstream systemd services has changed breaking the
    existing tests. This is a quick fix for the tests so they use the sysv
    initscript instead of the systemd services. (Closes: #1019221)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 19 Oct 2022 22:31:38 +0200

nut (2.8.0-3) unstable; urgency=medium

  * Drop the debian/libnutclient2.symbols file entierly, managing a .symbols
    file for C++ libraries is a nightmare. Generate a shlibs file with strong
    dependency instead (Closes: #1017392)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 25 Sep 2022 09:23:50 +0200

nut (2.8.0-2) unstable; urgency=medium

  * debian/libnutclient2.symbols: Update the symbols file, again

 -- Laurent Bigonville <bigon@debian.org>  Sun, 14 Aug 2022 22:53:38 +0200

nut (2.8.0-1) unstable; urgency=medium

  [ Yifeng Li ]
  * New upstream release (Closes: #1014287)
    - This is the first update in the past 6 years since 2016, and
      includes a huge number of fixes, changes, and new device support.
    - New serial, I2C and Modbus drivers.
    - Driver oldmge-shut has been removed, and replaced by mge-shut.
    - New systemd integration, nut-driver.target, nut-driver@instances,
      and nut-driver-enumerator are now used to manage drivers.
    - Support libusb 1.0 (Closes: 810449)
    - Python library PyNUT and the NUT-Moniter GUI has been upgraded to
      Python 3.
    - API/ABI changes in libnutclient2, libnutscan and libupsclient.
    - Fixed POWEROFF_WAIT option on systemd. (Closes: #835634)

  [ Daniel Shahaf ]
  * README.Debian: Trivial typo fix (Closes: #862982)

  [ Laurent Bigonville ]
  * debian/watch: Update the URL and add support for RC releases
  * debian/control: Use ${python3:Depends} instead of hardcoding python3
    dependency
  * debian/control: BD against libusb-1.0-0-dev instead of libusb-dev
  * debian/patches/0001-reproductible-build.patch: Refreshed
  * debian/patches/: Drop all patches merged upstream
  * debian/nut-server.lintian-overrides: Update to properly override
    udev-rule-missing-subsystem
  * debian/rules: Build the package in parallel
  * debian/rules: Fix links to the shared libraries for the -dev packages
  * debian/control: Add libavahi-client-dev and libavahi-core-dev to the BD
  * Override systemd-service-file-refers-to-unusual-wantedby-target for
    nut-client and nut-server packages
  * Install the nut.target file in the nut-client package
  * Install nut-driver-enumerator.sh in /usr/libexec/
  * debian/*.symbols: Add Build-Depends-Package field
  * debian/libnutclient2.symbols: Run through c++filt to make symbols readable
  * Properly install the icons and other UI data for nut-monitor
  * debian/libnutclient2.symbols: Adjust the symbols file for architecture
    specific symbols
  * debian/control: Mark python3 BD with :any, that should fix cross-compilation

 -- Laurent Bigonville <bigon@debian.org>  Sun, 14 Aug 2022 18:58:07 +0200

nut (2.7.4-14) unstable; urgency=medium

  [ Jeremy Sowden ]
  * d/patches: add patch to fix FTBFS with g++-11 (closes: #984260)

  [ Laurent Bigonville ]
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)
  * debian/source_nut.py: Change the shebang to python3

 -- Laurent Bigonville <bigon@debian.org>  Sat, 06 Nov 2021 18:41:33 +0100

nut (2.7.4-13) unstable; urgency=medium

  [ Arnaud Quette ]
  * Retirement of Arnaud Quette from the Debian project

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure),
    Name (from ./configure), Repository, Repository-Browse.

  [ Sergio Durigan Junior ]
  * d/libnutclient0.symbols: Update file, and fix FTBFS. (Closes: #957614)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 15 Oct 2020 12:16:34 +0200

nut (2.7.4-12) unstable; urgency=medium



=== debian/control ===
Source: nut
Section: admin
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
Build-Depends: asciidoc <!nodoc>,
               debhelper (>= 12),
               dh-python,
               docbook-xml <!nodoc>,
               libavahi-client-dev,
               libavahi-core-dev,
               libfreeipmi-dev [!hurd-i386],
               libgd-dev | libgd2-xpm-dev | libgd2-noxpm-dev,
               libi2c-dev [linux-any],
               libipmimonitoring-dev [!hurd-i386],
               libltdl-dev,
               libmodbus-dev,
               libneon27-gnutls-dev | libneon27-dev,
               libnss3-dev,
               libpowerman0-dev,
               libsnmp-dev | libsnmp9-dev,
               libusb-1.0-0-dev,
               libwrap0-dev,
               libxml2-utils <!nodoc>,
               python3:any,
               xsltproc <!nodoc>
Build-Depends-Indep: asciidoc-dblatex <!nodoc>,
                     dblatex <!nodoc>,
                     docbook-xsl <!nodoc>
Standards-Version: 4.6.0
Homepage: https://networkupstools.org/
Vcs-Browser: https://salsa.debian.org/debian/nut
Vcs-Git: https://salsa.debian.org/debian/nut.git

Package: nut
Architecture: all
Section: metapackages
Depends: nut-client, nut-server, ${misc:Depends}
Description: network UPS tools - metapackage
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package is a metapackage that installs both nut-server and nut-client,
 in most cases it is sufficient for a basic UPS monitoring system.

Package: nut-server
Architecture: any
Depends: adduser,
         lsb-base,
         nut-client (= ${binary:Version}),
         udev [linux-any],
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: nut-cgi, nut-i2c, nut-ipmi, nut-modbus, nut-snmp, nut-xml
Pre-Depends: ${misc:Pre-Depends}
Description: network UPS tools - core system
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides NUT's core system, and the serial and USB UPS
 drivers.

Package: nut-client
Architecture: any
Depends: adduser, lsb-base, ${misc:Depends}, ${shlibs:Depends}
Provides: ups-monitor
Conflicts: ups-monitor
Recommends: bash-completion
Suggests: nut-monitor
Replaces: ups-monitor
Pre-Depends: ${misc:Pre-Depends}
Description: network UPS tools - clients
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides NUT's clients that allows the user to control
 and monitor the UPS.

Package: nut-cgi
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Recommends: apache2 | httpd-cgi
Suggests: nut
Description: network UPS tools - web interface
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides an HTTP interface for Network UPS Tools which makes
 it possible to monitor the core NUT system with a web browser.

Package: nut-i2c
Architecture: linux-any
Depends: nut-server (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: network UPS tools - I2C driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides nut-i2c, a collection of drivers for UPS systems
 with I2C-based communication protocols.

Package: nut-snmp
Architecture: any
Depends: nut-server (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: network UPS tools - SNMP driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides snmp-ups, the SNMP multi-MIB driver for UPS, which
 supports various MIBs including IETF, MGE, and APC. It adds an SNMP
 Manager interface to the core NUT system.

Package: nut-ipmi
Architecture: kfreebsd-any linux-any
Depends: nut-server (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: network UPS tools - IPMI driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package currently provides nut-ipmipsu, a driver which allows the user to
 monitor IPMI power supply units (PSU) found in servers of popular brands, such
 as Dell, HP, IBM. It adds an IPMI interface to the core NUT system.

Package: nut-modbus
Architecture: any
Depends: nut-server (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: network UPS tools - Modbus driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides nut-modbus, a collection of drivers for UPS systems
 with Modbus-based communication protocols.

Package: nut-xml
Architecture: any
Depends: nut-server (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: network UPS tools - XML/HTTP driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides netxml-ups, which supports UPS models from
 Eaton or MGE that use an XML/HTTP-based Network Management Card or
 Proxy.

Package: nut-powerman-pdu
Architecture: any
Depends: nut-server (= ${binary:Version}),
         powerman,
         ${misc:Depends},
         ${shlibs:Depends}
Description: network UPS tools - PowerMan PDU driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides powerman-pdu, which allows NUT clients to communicate
 with the PowerMan daemon to support PDUs.

Package: nut-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: doc-base
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Description: network UPS tools - documentation
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package contains FAQ, user, developer and packager documentation.

Package: libupsclient6
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: network UPS tools - client library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the shared client library.

Package: libupsclient-dev
Section: libdevel
Architecture: any
Depends: libnss3-dev,
         libupsclient6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: network UPS tools - development files
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the development files.

Package: libnutclient2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: network UPS tools - new client library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the new shared client library.

Package: libnutclient-dev
Section: libdevel
Architecture: any
Depends: libnutclient2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: network UPS tools - development files for the new client library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the development files for the new client library.

Package: libnutscan2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: network UPS tools - scanner library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the shared scanner library.

Package: libnutscan-dev
Section: libdevel
Architecture: any
Depends: libnutscan2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libupsclient-dev (<< 2.7.4-9~)
Replaces: libupsclient-dev (<< 2.7.4-9~)
Multi-Arch: same
Description: network UPS tools - development files for the scanner library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the development files for the scanner library.

Package: python3-nut
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: network UPS tools - Python3 bindings for NUT server
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides Python3 bindings to connect to NUT server.

Package: nut-monitor
Architecture: all
Depends: python3-nut, python3-pyqt5, ${misc:Depends}, ${python3:Depends}

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

DEB_CONFIGURE_EXTRA_FLAGS := --prefix= \
	                     --sysconfdir=/etc/nut \
	                     --includedir=/usr/include \
			     --mandir=/usr/share/man \
	                     --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
			     --libexecdir=/usr/libexec \
	                     --with-ssl --with-nss \
	                     --with-cgi \
	                     --with-dev \
	                     --enable-static \
	                     --with-statepath=/run/nut \
	                     --with-altpidpath=/run/nut \
	                     --with-drvpath=/lib/nut \
	                     --with-cgipath=/usr/lib/cgi-bin/nut \
	                     --with-htmlpath=/usr/share/nut/www \
	                     --with-pidpath=/run/nut \
	                     --datadir=/usr/share/nut \
	                     --with-pkgconfig-dir=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
	                     --with-user=nut --with-group=nut \
	                     --with-udev-dir=/lib/udev \
			     --with-systemdsystemunitdir=/lib/systemd/system \
	                     --with-systemdshutdowndir=/lib/systemd/system-shutdown \
			     --with-systemdtmpfilesdir=/usr/lib/tmpfiles.d


ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
# only build the full documentation if nut-doc is built
ifneq ($(filter nut-doc,$(shell dh_listpackages)),)
  DEB_CONFIGURE_EXTRA_FLAGS+=--with-doc=man,html-single,html-chunked,pdf
else
  DEB_CONFIGURE_EXTRA_FLAGS+=--with-doc=man
endif
else
  DEB_CONFIGURE_EXTRA_FLAGS+=--with-doc=no
endif

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_install-arch:
	dh_auto_install

	# install the bash completion script
	mkdir -p $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/
	cp $(CURDIR)/scripts/misc/nut.bash_completion \
		$(CURDIR)/debian/tmp/usr/share/bash-completion/completions/nut

	# install the avahi service file
	mkdir -p $(CURDIR)/debian/tmp/etc/avahi/services
	cp $(CURDIR)/scripts/avahi/nut.service \
		$(CURDIR)/debian/tmp/etc/avahi/services

	# install Augeas lenses
	mkdir -p $(CURDIR)/debian/tmp/usr/share/augeas/lenses/tests
	cp $(CURDIR)/scripts/augeas/*.aug \
		$(CURDIR)/debian/tmp/usr/share/augeas/lenses/
	cp $(CURDIR)/scripts/augeas/tests/test_nut.aug \
		$(CURDIR)/debian/tmp/usr/share/augeas/lenses/tests/

	# install the default configuration
	for f in $(CURDIR)/debian/tmp/etc/nut/*; do           \
		nf=`basename $${f} | sed 's/\(.*\).sample/\1/'`;  \
		mv $${f} $(CURDIR)/debian/tmp/etc/nut/$${nf};  \
	done

	# Move -dev file to /usr
	mv $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libupsclient.a \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libupsclient.a
	rm -f $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libupsclient.so
	ln -s /lib/$(DEB_HOST_MULTIARCH)/libupsclient.so.6 \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libupsclient.so
	mv $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libnutclient.a \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libnutclient.a
	rm -f $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libnutclient.so
	ln -s /lib/$(DEB_HOST_MULTIARCH)/libnutclient.so.2 \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libnutclient.so
	mv $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libnutclientstub.a \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libnutclientstub.a
	rm -f $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libnutclientstub.so
	ln -s /lib/$(DEB_HOST_MULTIARCH)/libnutclientstub.so.1 \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libnutclientstub.so

	rm -f $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libnutscan.so
	ln -s /lib/$(DEB_HOST_MULTIARCH)/libnutscan.so.2 \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libnutscan.so

	# Move daemons and install wrappers
	mv $(CURDIR)/debian/tmp/sbin/upsmon $(CURDIR)/debian/tmp/lib/nut/upsmon
	mv $(CURDIR)/debian/tmp/sbin/upsd $(CURDIR)/debian/tmp/lib/nut/upsd
	install -m 0755 debian/local/upsmon $(CURDIR)/debian/tmp/sbin/upsmon
	install -m 0755 debian/local/upsd $(CURDIR)/debian/tmp/sbin/upsd

	# Add a symlink to mask the LSB initscript
	ln -s nut-monitor.service $(CURDIR)/debian/tmp/lib/systemd/system/nut-client.service
	ln -s /dev/null $(CURDIR)/debian/tmp/lib/systemd/system/ups-monitor.service

	# install apport hooks
	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut-server.py
	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut-client.py

override_dh_auto_install-indep:
ifneq ($(filter nut-doc,$(shell dh_listpackages)),)
	#install documentation
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/pdf
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/html
	cp $(CURDIR)/docs/*.pdf $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/pdf
	cp $(CURDIR)/docs/FAQ.html $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/html

	for f in $(CURDIR)/docs/*.chunked/; do \
		nf=`basename $${f} | sed 's/\(.*\)\.chunked/\1/'`; \
		cp -a $${f} $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/html/$${nf}/; \
	done
endif

	# install apport hooks
	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut.py

override_dh_installinit:
	dh_installinit --error-handler=handle_start_failure

override_dh_compress:
	dh_compress -X.pdf

override_dh_installdocs:
	dh_installdocs -A ./README ./NEWS ./TODO ./AUTHORS

override_dh_installchangelogs:
# dh_installchangelogs automagically rename history.txt to changelog, let's try
# to avoid that
	dh_installchangelogs -pnut -Xhistory.txt
	dh_installchangelogs --remaining-packages

override_dh_makeshlibs:
	dh_makeshlibs -plibnutclient2 -V'libnutclient2 (= ${DEB_VERSION})'
	dh_makeshlibs -Nlibnutclient2

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym
